CREATE TABLE ego_change_eff_b (
    EFF_LINE_ID               NUMBER(18, 0) ,
    CATEGORY_CODE             VARCHAR2(3200)    NOT NULL,
    CHANGE_ID                 NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CONTEXT_CODE              VARCHAR2(320)     NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    ATTRIBUTE_CHAR1           VARCHAR2(4000),
    ATTRIBUTE_CHAR2           VARCHAR2(4000),
    ATTRIBUTE_CHAR3           VARCHAR2(4000),
    ATTRIBUTE_CHAR4           VARCHAR2(4000),
    ATTRIBUTE_CHAR5           VARCHAR2(4000),
    ATTRIBUTE_CHAR6           VARCHAR2(4000),
    ATTRIBUTE_CHAR7           VARCHAR2(4000),
    ATTRIBUTE_CHAR8           VARCHAR2(4000),
    ATTRIBUTE_CHAR9           VARCHAR2(4000),
    ATTRIBUTE_CHAR10          VARCHAR2(4000),
    ATTRIBUTE_CHAR11          VARCHAR2(4000),
    ATTRIBUTE_CHAR12          VARCHAR2(4000),
    ATTRIBUTE_CHAR13          VARCHAR2(4000),
    ATTRIBUTE_CHAR14          VARCHAR2(4000),
    ATTRIBUTE_CHAR15          VARCHAR2(4000),
    ATTRIBUTE_CHAR16          VARCHAR2(4000),
    ATTRIBUTE_CHAR17          VARCHAR2(4000),
    ATTRIBUTE_CHAR18          VARCHAR2(4000),
    ATTRIBUTE_CHAR19          VARCHAR2(4000),
    ATTRIBUTE_CHAR20          VARCHAR2(4000),
    ATTRIBUTE_CHAR21          VARCHAR2(4000),
    ATTRIBUTE_CHAR22          VARCHAR2(4000),
    ATTRIBUTE_CHAR23          VARCHAR2(4000),
    ATTRIBUTE_CHAR24          VARCHAR2(4000),
    ATTRIBUTE_CHAR25          VARCHAR2(4000),
    ATTRIBUTE_CHAR26          VARCHAR2(4000),
    ATTRIBUTE_CHAR27          VARCHAR2(4000),
    ATTRIBUTE_CHAR28          VARCHAR2(4000),
    ATTRIBUTE_CHAR29          VARCHAR2(4000),
    ATTRIBUTE_CHAR30          VARCHAR2(4000),
    ATTRIBUTE_CHAR31          VARCHAR2(4000),
    ATTRIBUTE_CHAR32          VARCHAR2(4000),
    ATTRIBUTE_CHAR33          VARCHAR2(4000),
    ATTRIBUTE_CHAR34          VARCHAR2(4000),
    ATTRIBUTE_CHAR35          VARCHAR2(4000),
    ATTRIBUTE_CHAR36          VARCHAR2(4000),
    ATTRIBUTE_CHAR37          VARCHAR2(4000),
    ATTRIBUTE_CHAR38          VARCHAR2(4000),
    ATTRIBUTE_CHAR39          VARCHAR2(4000),
    ATTRIBUTE_CHAR40          VARCHAR2(4000),
    ATTRIBUTE_NUMBER1         NUMBER        ,
    ATTRIBUTE_NUMBER2         NUMBER        ,
    ATTRIBUTE_NUMBER3         NUMBER        ,
    ATTRIBUTE_NUMBER4         NUMBER        ,
    ATTRIBUTE_NUMBER5         NUMBER        ,
    ATTRIBUTE_NUMBER6         NUMBER        ,
    ATTRIBUTE_NUMBER7         NUMBER        ,
    ATTRIBUTE_NUMBER8         NUMBER        ,
    ATTRIBUTE_NUMBER9         NUMBER        ,
    ATTRIBUTE_NUMBER10        NUMBER        ,
    ATTRIBUTE_NUMBER11        NUMBER        ,
    ATTRIBUTE_NUMBER12        NUMBER        ,
    ATTRIBUTE_NUMBER13        NUMBER        ,
    ATTRIBUTE_NUMBER14        NUMBER        ,
    ATTRIBUTE_NUMBER15        NUMBER        ,
    ATTRIBUTE_NUMBER16        NUMBER        ,
    ATTRIBUTE_NUMBER17        NUMBER        ,
    ATTRIBUTE_NUMBER18        NUMBER        ,
    ATTRIBUTE_NUMBER19        NUMBER        ,
    ATTRIBUTE_NUMBER20        NUMBER        ,
    ATTRIBUTE_TIMESTAMP1      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10     TIMESTAMP(6)  ,
    ATTRIBUTE_NUMBER1_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER2_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER3_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER4_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER5_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER6_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER7_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER8_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER9_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER10_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER11_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER12_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER13_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER14_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER15_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER16_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER17_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER18_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER19_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER20_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_DATE1           DATE          ,
    ATTRIBUTE_DATE2           DATE          ,
    ATTRIBUTE_DATE3           DATE          ,
    ATTRIBUTE_DATE4           DATE          ,
    ATTRIBUTE_DATE5           DATE          ,
    ATTRIBUTE_DATE6           DATE          ,
    ATTRIBUTE_DATE7           DATE          ,
    ATTRIBUTE_DATE8           DATE          ,
    ATTRIBUTE_DATE9           DATE          ,
    ATTRIBUTE_DATE10          DATE          ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    EFF_LINE_ID               NUMBER(18, 0) ,
    CATEGORY_CODE             VARCHAR2(3200)    NOT NULL,
    CHANGE_ID                 NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CONTEXT_CODE              VARCHAR2(320)     NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    ATTRIBUTE_CHAR1           VARCHAR2(4000),
    ATTRIBUTE_CHAR2           VARCHAR2(4000),
    ATTRIBUTE_CHAR3           VARCHAR2(4000),
    ATTRIBUTE_CHAR4           VARCHAR2(4000),
    ATTRIBUTE_CHAR5           VARCHAR2(4000),
    ATTRIBUTE_CHAR6           VARCHAR2(4000),
    ATTRIBUTE_CHAR7           VARCHAR2(4000),
    ATTRIBUTE_CHAR8           VARCHAR2(4000),
    ATTRIBUTE_CHAR9           VARCHAR2(4000),
    ATTRIBUTE_CHAR10          VARCHAR2(4000),
    ATTRIBUTE_CHAR11          VARCHAR2(4000),
    ATTRIBUTE_CHAR12          VARCHAR2(4000),
    ATTRIBUTE_CHAR13          VARCHAR2(4000),
    ATTRIBUTE_CHAR14          VARCHAR2(4000),
    ATTRIBUTE_CHAR15          VARCHAR2(4000),
    ATTRIBUTE_CHAR16          VARCHAR2(4000),
    ATTRIBUTE_CHAR17          VARCHAR2(4000),
    ATTRIBUTE_CHAR18          VARCHAR2(4000),
    ATTRIBUTE_CHAR19          VARCHAR2(4000),
    ATTRIBUTE_CHAR20          VARCHAR2(4000),
    ATTRIBUTE_CHAR21          VARCHAR2(4000),
    ATTRIBUTE_CHAR22          VARCHAR2(4000),
    ATTRIBUTE_CHAR23          VARCHAR2(4000),
    ATTRIBUTE_CHAR24          VARCHAR2(4000),
    ATTRIBUTE_CHAR25          VARCHAR2(4000),
    ATTRIBUTE_CHAR26          VARCHAR2(4000),
    ATTRIBUTE_CHAR27          VARCHAR2(4000),
    ATTRIBUTE_CHAR28          VARCHAR2(4000),
    ATTRIBUTE_CHAR29          VARCHAR2(4000),
    ATTRIBUTE_CHAR30          VARCHAR2(4000),
    ATTRIBUTE_CHAR31          VARCHAR2(4000),
    ATTRIBUTE_CHAR32          VARCHAR2(4000),
    ATTRIBUTE_CHAR33          VARCHAR2(4000),
    ATTRIBUTE_CHAR34          VARCHAR2(4000),
    ATTRIBUTE_CHAR35          VARCHAR2(4000),
    ATTRIBUTE_CHAR36          VARCHAR2(4000),
    ATTRIBUTE_CHAR37          VARCHAR2(4000),
    ATTRIBUTE_CHAR38          VARCHAR2(4000),
    ATTRIBUTE_CHAR39          VARCHAR2(4000),
    ATTRIBUTE_CHAR40          VARCHAR2(4000),
    ATTRIBUTE_NUMBER1         NUMBER        ,
    ATTRIBUTE_NUMBER2         NUMBER        ,
    ATTRIBUTE_NUMBER3         NUMBER        ,
    ATTRIBUTE_NUMBER4         NUMBER        ,
    ATTRIBUTE_NUMBER5         NUMBER        ,
    ATTRIBUTE_NUMBER6         NUMBER        ,
    ATTRIBUTE_NUMBER7         NUMBER        ,
    ATTRIBUTE_NUMBER8         NUMBER        ,
    ATTRIBUTE_NUMBER9         NUMBER        ,
    ATTRIBUTE_NUMBER10        NUMBER        ,
    ATTRIBUTE_NUMBER11        NUMBER        ,
    ATTRIBUTE_NUMBER12        NUMBER        ,
    ATTRIBUTE_NUMBER13        NUMBER        ,
    ATTRIBUTE_NUMBER14        NUMBER        ,
    ATTRIBUTE_NUMBER15        NUMBER        ,
    ATTRIBUTE_NUMBER16        NUMBER        ,
    ATTRIBUTE_NUMBER17        NUMBER        ,
    ATTRIBUTE_NUMBER18        NUMBER        ,
    ATTRIBUTE_NUMBER19        NUMBER        ,
    ATTRIBUTE_NUMBER20        NUMBER        ,
    ATTRIBUTE_TIMESTAMP1      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10     TIMESTAMP(6)  ,
    ATTRIBUTE_NUMBER1_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER2_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER3_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER4_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER5_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER6_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER7_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER8_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER9_UOM     VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER10_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER11_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER12_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER13_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER14_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER15_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER16_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER17_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER18_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER19_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_NUMBER20_UOM    VARCHAR2(36)  ,
    ATTRIBUTE_DATE1           DATE          ,
    ATTRIBUTE_DATE2           DATE          ,
    ATTRIBUTE_DATE3           DATE          ,
    ATTRIBUTE_DATE4           DATE          ,
    ATTRIBUTE_DATE5           DATE          ,
    ATTRIBUTE_DATE6           DATE          ,
    ATTRIBUTE_DATE7           DATE          ,
    ATTRIBUTE_DATE8           DATE          ,
    ATTRIBUTE_DATE9           DATE          ,
    ATTRIBUTE_DATE10          DATE          ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CONSTRAINT pk_ego_change_eff_b PRIMARY KEY (EFF_LINE_ID, EFF_LINE_ID)
);
